Bug 1117031 - [RFE] filter out cluster VM OSs against a black list (e.g. Windows 8.1 on Conroe)
Summary: [RFE] filter out cluster VM OSs against a black list (e.g. Windows 8.1 on Con...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: 3.4.0
Hardware: x86_64
OS: Windows
medium
medium
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Roy Golan
QA Contact: sefi litmanovich
URL:
Whiteboard:
Depends On: 1096851
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-07 20:46 UTC by Scott Herold
Modified: 2019-04-28 09:58 UTC (History)
13 users (show)

Fixed In Version: ovirt-3-6-0-2
Doc Type: Enhancement
Doc Text:
Some operating systems are not supported on older CPU architectures. For example, Windows 8 does not run on Conroe-based hosts. When a cluster is set to a certain CPU model, the unsupported operating systems will no longer be available in the 'New Virtual Machine' and 'Edit Virtual Machine' windows for that cluster.
Clone Of: 1096851
Environment:
Last Closed: 2016-03-09 20:48:42 UTC
oVirt Team: Virt
sherold: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:0376 normal SHIPPED_LIVE Red Hat Enterprise Virtualization Manager 3.6.0 2016-03-10 01:20:52 UTC

Description Scott Herold 2014-07-07 20:46:57 UTC
+++ This bug was initially created as a clone of Bug #1096851 +++

Description of problem:

Windows 8.1 doesn't run on Conroe CPUs and there for we want to filter it our in the add/edit VM dialog

adding a blacklist field at the osinfo will look something like:

os.windows_8_1.devices.cpu.blacklist.value = conroe

note: the value must comply with the engine's cpu model config value
- ServerCPUList (the match would be against it in the end)

--- Additional comment from Michal Skrivanek on 2014-05-12 10:35:57 EDT ---

Opteron G1 as well

--- Additional comment from Michal Skrivanek on 2014-05-28 10:14:03 EDT ---

Comment 3 Waldirio M Pinheiro 2015-07-09 16:23:29 UTC
I got this problem yesterday, using RHEV 3.5.3

Are there any work around to install Windows 8 in hypervisor using this cpu family ?!

Appreciate
Waldirio

Comment 4 sefi litmanovich 2015-09-24 08:14:43 UTC
Verified on rhevm-3.6.0-0.16.master.el6.noarch according to the polarion test plan.

test run:
https://polarion.engineering.redhat.com/polarion/#/project/RHEVM3/testrun?id=3_6_VIRT_Filter_VM_Os_Against_Cpu_Type_09212015

Comment 6 errata-xmlrpc 2016-03-09 20:48:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-0376.html


Note You need to log in before you can comment on or make changes to this bug.